﻿INSERT INTO category (id, name, parent_category_id, image)
VALUES (0, '', null, null),
       (1002, 'Computers', 0, '/img/tech/desktop1.jpg'),
       (1003, 'Phones', 0, '/img/tech/phones1.jpg'),
       (1004, 'Appliances', 0, '/img/tech/washmachine1.jpg'),
       (1005, 'Plumbing', 0, '/img/tech/bath1.jpg'),
       (2002, 'Laptops', 1002, '/img/tech/laptop1.jpg'),
       (2003, 'Desktops', 1002, '/img/tech/desktop1.jpg'),
--        (2004, 'Monitors', 1002),
       (2005, 'Gaming', 1002, null),
       (2006, 'Tablets', 1002, '/img/tech/tablet1.jpg'),
       (3002, 'Smartphones', 1003, '/img/tech/image2.jpg'),
       (3003, 'Phone Accessories', 1003, null),
       (3004, 'Smart watches', 1003, '/img/tech/smartwatch1.jpg'),
       (3005, 'Cables', 1003, '/img/tech/cable1.jpg'),
       (4002, 'Large appliances', 1004, null),
       (4003, 'Built-in appliances', 1004, null),
       (4004, 'Climatic technology', 1004, null),
       (4005, 'Home appliances', 1004, null),
       (5002, 'Mixers', 1005, null),
       (5003, 'Kitchen sinks', 1005, null),
       (5004, 'Baths', 1005, null),
       (5005, 'Toilet bowls', 1005, null),
       (2302, 'Monitors', 2003, '/img/tech/monitor1.jpg'),
       (2303, 'Keyboards', 2003, '/img/tech/keyboard1.jpg'),
       (2304, 'Mouse', 2003, '/img/tech/mouse1.jpg'),
       (2305, 'HDD', 2003, '/img/tech/hdd1.jpg');

INSERT INTO producer (id, name)
VALUES (default, 'Samsung'),
       (default, 'Dell'),
       (default, 'Philips'),
       (default, 'Acer');

INSERT INTO roles (id, name)
VALUES (default, 'ROLE_ADMIN'),
       (default, 'ROLE_SELLER'),
       (default, 'ROLE_USER');

INSERT INTO user_status (id, name)
VALUES (default, 'ACTIVE'),
       (default, 'BLOCKED'),
       (default, 'DELETED');

INSERT INTO order_status (id, name)
VALUES (default, 'REGISTERED'),
       (default, 'PAID'),
       (default, 'CANCELED');

INSERT INTO users (id, login, first_name, last_name, email, password, locale, status_id, role_id)
VALUES (default, 'Admin', 'Admin', '', 'admin@mail.com', 'c1c224b03cd9bc7b6a86d77f5dace40191766c485cd55dc48caf9ac873335d6f', 'en', 1, 1),
       (default, 'Seller', 'Seller', '', 'seller@mail.com', '1498fa31d5a344a6a66c69dc5671c8d0f86953c2268c1c9274b259add7bae4b', 'uk', 1, 2),
       (default, 'User', 'User', '', 'user@mail.com', '60fda5eb2674044b66bd494755cd1da5858d1ef6a6c6228b5c9727953bfa5f89', 'uk', 1, 3),
       (default, 'BlockedUser', 'BlockedUser', '', 'blockedUser@mail.com', 'eabb6e34c725ebb5a5c845eda859afc13706ac24de98eec4bcbf791308b902b1', 'uk',
        2, 3),
       (default, 'DeletedUser', 'DeletedUser', '', 'deletedUser@mail.com', '2e811cf566ebc556ed54896e688a6ad11e8864aff5afc7e3ccc232161d8674be', 'uk',
        3, 3);


INSERT INTO category_translation (id, locale, localized_name)
VALUES (0, 'en', ''),
       (0, 'uk', ''),
       (1002, 'en', 'Computers'),
       (1002, 'uk', 'Комп''ютери'),
       (1003, 'en', 'Phones'),
       (1003, 'uk', 'Телефони'),
       (1004, 'en', 'Appliances'),
       (1004, 'uk', 'Техніка'),
       (1005, 'en', 'Plumbing'),
       (1005, 'uk', 'Сантехніка'),
       (2002, 'en', 'Laptops'),
       (2002, 'uk', 'Ноутбуки'),
       (2003, 'en', 'Desktops'),
       (2003, 'uk', 'Настільні комп''ютери'),
/*       (2004, 'en', 'Monitors'),
       (2004, 'uk', 'Монітори'),*/
       (2005, 'en', 'Gaming'),
       (2005, 'uk', 'Ігри'),
       (2006, 'en', 'Tablets'),
       (2006, 'uk', 'Планшети'),
       (3002, 'en', 'Smartphones'),
       (3002, 'uk', 'Смартфони'),
       (3003, 'en', 'Phone Accessories'),
       (3003, 'uk', 'Телефонні аксесуари'),
       (3004, 'en', 'Smart watches'),
       (3004, 'uk', 'Смарт-годинники'),
       (3005, 'en', 'Cables'),
       (3005, 'uk', 'Кабелі'),
       (4002, 'en', 'Large appliances'),
       (4002, 'uk', 'Велика побутова техніка'),
       (4003, 'en', 'Built-in appliances'),
       (4003, 'uk', 'Вбудована техніка'),
       (4004, 'en', 'Climatic technology'),
       (4004, 'uk', 'Кліматична техніка'),
       (4005, 'en', 'Home appliances'),
       (4005, 'uk', 'Побутова техніка'),
       (5002, 'en', 'Mixers'),
       (5002, 'uk', 'Міксери'),
       (5003, 'en', 'Kitchen sinks'),
       (5003, 'uk', 'Кухонні мийки'),
       (5004, 'en', 'Baths'),
       (5004, 'uk', 'Ванни'),
       (5005, 'en', 'Toilet bowls'),
       (5005, 'uk', 'Унітази'),
       (2302, 'en', 'Monitors'),
       (2302, 'uk', 'Монітори'),
       (2303, 'en', 'Keyboards'),
       (2303, 'uk', 'Клавіатури'),
       (2304, 'en', 'Mouse'),
       (2304, 'uk', 'Миші'),
       (2305, 'en', 'HDD'),
       (2305, 'uk', 'Жорсткі диски');

INSERT INTO product (name, category_id, producer_id, price, image, create_time)
--     (2302, 'en', 'Monitors'),
VALUES ('223V7QHSB/01', 2302, 3, 1234, '/img/tech/monitor1.jpg', 1650346711),
       ('203V5LSB26/10', 2302, 3, 452, '/img/tech/monitor1.jpg', 1659346711),
       ('E1920H (210-AURI)', 2302, 2, 452, '/img/tech/monitor1.jpg', 1658346711),
       ('223V5LSB2/62', 2302, 3, 452, '/img/tech/monitor1.jpg', 1651346711),
       ('223V5LSB2/10', 2302, 3, 452, '/img/tech/monitor1.jpg', 1652346711),
       ('223V5LSB/00, 223V5LSB/01', 2302, 3, 452, '/img/tech/monitor1.jpg', 1653346711),
       ('220V8/00, 220V8/01', 2302, 3, 452, '/img/tech/monitor1.jpg', 1654346711),
       ('220V8LL/62', 2302, 3, 452, '/img/tech/monitor1.jpg', 1655346711),
       ('E2016HV Black (210-ALFK)', 2302, 2, 452, '/img/tech/monitor1.jpg', 1656346711),
       ('E1916HV (210-AFQP)', 2302, 2, 45, '/img/tech/monitor1.jpg', 1657340711),
       ('SE2222H (210-AZKU)', 2302, 2, 42, '/img/tech/monitor1.jpg', 1657349711),
       ('E2216HV (210-ALFS)', 2302, 2, 452, '/img/tech/monitor1.jpg', 1657348711),
       ('P2018H Black (210-APBK)', 2302, 2, 552, '/img/tech/monitor1.jpg', 1657347711),
       ('E2221HN Black (210-AXNM)', 2302, 2, 4452, '/img/tech/monitor1.jpg', 1657341711),
       ('V206HQLAb (UM.IV6EE.A02)', 2302, 4, 3452, '/img/tech/monitor1.jpg', 1657342711),
       ('V226HQLBBI (UM.WV6EE.B17)', 2302, 4, 1452, '/img/tech/monitor1.jpg', 1657343711),
       ('K222HQLbid (UM.WW3EE.005)', 2302, 4, 1452, '/img/tech/monitor1.jpg', 1657344711),
       ('S22F350F (LS22F350FHIXCI)', 2302, 1, 4522, '/img/tech/monitor1.jpg', 1657345711),
       ('F22T350 (LF22T350FHIXCI)', 2302, 1, 4552, '/img/tech/monitor1.jpg', 1657396711),
       ('F22T350FHI (LF24T350FHIXCI)', 2302, 1, 1452, '/img/tech/monitor1.jpg', 1657386711),
       ('C24F390FHRX Black (LC24F390FHRXEN)', 2302, 1, 2452, '/img/tech/monitor1.jpg', 1657376711),
       ('F24T350FHR Black (LF24T350FHRXEN)', 2302, 1, 4452, '/img/tech/monitor1.jpg', 1657366711),
       ('193V5LSB2/10', 2302, 3, 2356, '/img/tech/monitor1.jpg', 1657356711),
--        (2002, 'en', 'Laptops'),
       ('Chromebook 4 (XE310XBA-KA1US)', 2002, 1, 356, '/img/tech/laptop1.jpg', 1657146711),
       ('Galaxy Book Go Laptop (NP340XLA-KA4US)', 2002, 1, 256, '/img/tech/laptop1.jpg', 1657246711),
       ('Galaxy Book Pro Laptop (NP950XDB-KB2US)', 2002, 1, 236, '/img/tech/laptop1.jpg', 1657316711),
       ('Chromebook Plus XE525QBB (XE525QBB-K01US)', 2002, 1, 235, '/img/tech/laptop1.jpg', 1657326711),
       ('Galaxy Chromebook Go (XE340XDA-KA1US)', 2002, 1, 2356, '/img/tech/laptop1.jpg', 1657336711)
;

INSERT INTO product_translation (id, locale, localized_name, localized_desc) VALUES
--     (2302, 'en', 'Monitors'),
        (1, 'en', '223V7QHSB/01', 'en description for 223V7QHSB/01'),
        (1, 'uk', '223V7QHSB/01', 'uk опис для 223V7QHSB/01'),
       (2, 'en', '203V5LSB26/10', 'en description for 203V5LSB26/10'),
       (2, 'uk', '203V5LSB26/10', 'uk опис для 203V5LSB26/10'),
       (3, 'en', 'E1920H (210-AURI)', 'en description for E1920H (210-AURI)'),
       (3, 'uk', 'E1920H (210-AURI)', 'uk опис для E1920H (210-AURI)'),
       (4, 'en', '223V5LSB2/62', 'en description for 223V5LSB2/62'),
       (4, 'uk', '223V5LSB2/62', 'uk опис для 223V5LSB2/62'),
       (5, 'en', '223V5LSB2/10', 'en description for 223V5LSB2/10'),
       (5, 'uk', '223V5LSB2/10', 'uk опис для 223V5LSB2/10'),
       (6, 'en', '223V5LSB/00, 223V5LSB/01', 'en description for 223V5LSB/00, 223V5LSB/01'),
       (6, 'uk', '223V5LSB/00, 223V5LSB/01', 'uk опис для 223V5LSB/00, 223V5LSB/01'),
       (7, 'en', '220V8/00, 220V8/01', 'en description for 220V8/00, 220V8/01'),
       (7, 'uk', '220V8/00, 220V8/01', 'uk опис для 220V8/00, 220V8/01'),
       (8, 'en', '220V8LL/62', 'en description for 220V8LL/62'),
       (8, 'uk', '220V8LL/62', 'uk опис для 220V8LL/62'),
       (9, 'en', 'E2016HV Black (210-ALFK)', 'en description for E2016HV Black (210-ALFK)'),
       (9, 'uk', 'E2016HV Black (210-ALFK)', 'uk опис для E2016HV Black (210-ALFK)'),
       (10, 'en', 'E1916HV (210-AFQP)', 'en description for E1916HV (210-AFQP)'),
       (10, 'uk', 'E1916HV (210-AFQP)', 'uk опис для E1916HV (210-AFQP)'),
       (11, 'en', 'SE2222H (210-AZKU)', 'en description for SE2222H (210-AZKU)'),
       (11, 'uk', 'SE2222H (210-AZKU)', 'uk опис для SE2222H (210-AZKU)'),
       (12, 'en', 'E2216HV (210-ALFS)', 'en description for E2216HV (210-ALFS)'),
       (12, 'uk', 'E2216HV (210-ALFS)', 'uk опис для E2216HV (210-ALFS)'),
       (13, 'en', 'P2018H Black (210-APBK)', 'en description for P2018H Black (210-APBK)'),
       (13, 'uk', 'P2018H Black (210-APBK)', 'uk опис для P2018H Black (210-APBK)'),
       (14, 'en', 'E2221HN Black (210-AXNM)', 'en description for E2221HN Black (210-AXNM)'),
       (14, 'uk', 'E2221HN Black (210-AXNM)', 'uk опис для E2221HN Black (210-AXNM)'),
       (15, 'en', 'V206HQLAb (UM.IV6EE.A02)', 'en description for V206HQLAb (UM.IV6EE.A02)'),
       (15, 'uk', 'V206HQLAb (UM.IV6EE.A02)', 'uk опис для V206HQLAb (UM.IV6EE.A02)'),
       (16, 'en', 'V226HQLBBI (UM.WV6EE.B17)', 'en description for V226HQLBBI (UM.WV6EE.B17)'),
       (16, 'uk', 'V226HQLBBI (UM.WV6EE.B17)', 'uk опис для V226HQLBBI (UM.WV6EE.B17)'),
       (17, 'en', 'K222HQLbid (UM.WW3EE.005)', 'en description for K222HQLbid (UM.WW3EE.005)'),
       (17, 'uk', 'K222HQLbid (UM.WW3EE.005)', 'uk опис для K222HQLbid (UM.WW3EE.005)'),
       (18, 'en', 'S22F350F (LS22F350FHIXCI)', 'en description for S22F350F (LS22F350FHIXCI)'),
       (18, 'uk', 'S22F350F (LS22F350FHIXCI)', 'uk опис для S22F350F (LS22F350FHIXCI)'),
       (19, 'en', 'F22T350 (LF22T350FHIXCI)', 'en description for F22T350 (LF22T350FHIXCI)'),
       (19, 'uk', 'F22T350 (LF22T350FHIXCI)', 'uk опис для F22T350 (LF22T350FHIXCI)'),
       (20, 'en', 'F22T350FHI (LF24T350FHIXCI)', 'en description for F22T350FHI (LF24T350FHIXCI)'),
       (20, 'uk', 'F22T350FHI (LF24T350FHIXCI)', 'uk опис для F22T350FHI (LF24T350FHIXCI)'),
       (21, 'en', 'C24F390FHRX Black (LC24F390FHRXEN)', 'en description for C24F390FHRX Black (LC24F390FHRXEN)'),
       (21, 'uk', 'C24F390FHRX Black (LC24F390FHRXEN)', 'uk опис для C24F390FHRX Black (LC24F390FHRXEN)'),
       (22, 'en', 'F24T350FHR Black (LF24T350FHRXEN)', 'en description for F24T350FHR Black (LF24T350FHRXEN)'),
       (22, 'uk', 'F24T350FHR Black (LF24T350FHRXEN)', 'uk опис для F24T350FHR Black (LF24T350FHRXEN)'),
       (23, 'en', '193V5LSB2/10', 'en description for 193V5LSB2/10'),
       (23, 'uk', '193V5LSB2/10', 'uk опис для 193V5LSB2/10'),
--        (2002, 'en', 'Laptops'),
       (24, 'en', 'Chromebook 4 (XE310XBA-KA1US)', 'en description for Chromebook 4 (XE310XBA-KA1US)'),
       (24, 'uk', 'Chromebook 4 (XE310XBA-KA1US)', 'uk опис для Chromebook 4 (XE310XBA-KA1US)'),
       (25, 'en', 'Galaxy Book Go Laptop (NP340XLA-KA4US)', 'en description for Galaxy Book Go Laptop (NP340XLA-KA4US)'),
       (25, 'uk', 'Galaxy Book Go Laptop (NP340XLA-KA4US)', 'uk опис для Galaxy Book Go Laptop (NP340XLA-KA4US)'),
       (26, 'en', 'Galaxy Book Pro Laptop (NP950XDB-KB2US)', 'en description for Galaxy Book Pro Laptop (NP950XDB-KB2US)'),
       (26, 'uk', 'Galaxy Book Pro Laptop (NP950XDB-KB2US)', 'uk опис для Galaxy Book Pro Laptop (NP950XDB-KB2US)'),
       (27, 'en', 'Chromebook Plus XE525QBB (XE525QBB-K01US)', 'en description for Chromebook Plus XE525QBB (XE525QBB-K01US)'),
       (27, 'uk', 'Chromebook Plus XE525QBB (XE525QBB-K01US)', 'uk опис для Chromebook Plus XE525QBB (XE525QBB-K01US)'),
       (28, 'en', 'Galaxy Chromebook Go (XE340XDA-KA1US)', 'en description for Galaxy Chromebook Go (XE340XDA-KA1US)'),
       (28, 'uk', 'Galaxy Chromebook Go (XE340XDA-KA1US)', 'uk опис для Galaxy Chromebook Go (XE340XDA-KA1US)')
;

INSERT INTO product_parameter_type (category_id, name) VALUES
        (2302, 'Monitor Size'),
        (2302, 'Panel'),
        (2002, 'Monitor Size'),
        (2002, 'Panel'),
        (2002, 'HDD'),
        (2002, 'RAM')
;

INSERT INTO product_parameter_type_translation (id, locale, localized_name) VALUES
       (1, 'en', 'Monitor Size'),
       (1, 'uk', 'Диагональ екрану'),
       (2, 'en', 'Panel'),
       (2, 'uk', 'Тип матриці'),
       (3, 'en', 'Monitor Size'),
       (3, 'uk', 'Диагональ екрану'),
       (4, 'en', 'Panel'),
       (4, 'uk', 'Тип матриці'),
       (5, 'en', 'HDD'),
       (5, 'uk', 'HDD'),
       (6, 'en', 'RAM'),
       (6, 'uk', 'RAM')
;

INSERT INTO product_parameter (parameter_type_id, sense)
VALUES
--     (2302, "Діагональ екрану")
(1, '24"'),
(1, '25"'),
(1, '23"'),
(1, '20"'),
(1, '18"'),
(1, '19"'),
(1, '29"'),
(1, '28"'),
-- (2302, "Тип матриці")
(2, 'IPS'),
(2, 'TN'),
(2, 'VA'),
(2, 'PLS')
;

INSERT INTO shopping_cart (user_id, product_id, quantity, status_id, registration_date_time)
VALUES
--   Products for User
(3, 1, 1, null, null),
(3, 2, 3, null, null),
(3, 3, 1, null, null),
(3, 24, 1, null, null),
(3, 25, 1, null, null),
(3, 4, 2, 2, 1654516560),
(3, 26, 1, 2, 1654516560),
(3, 27, 1, 2, 1654516560),
(3, 5, 1, 3, 1654511062),
(3, 28, 3, 3, 1654511062),
(3, 23, 1, 3, 1654511062)
;

INSERT INTO product_product_parameter (product_id, parameter_id)
VALUES (1, 8),
       (2, 7),
       (3, 6),
       (4, 5),
       (5, 4),
       (6, 3),
       (7, 2),
       (8, 1),
       (9, 8),
       (24, 1),
-- (2302, "Тип матриці")
       (1, 9),
       (2, 10),
       (3, 11),
       (4, 12),
       (5, 9),
       (6, 10),
       (7, 11),
       (8, 9),
       (9, 12),
       (24, 12)
;
